%define lib_major		4
%define lib_name		%mklibname %{name} %{lib_major}
%define lib_name_devel		%mklibname %{name} -d
%define lib_name_static_devel	%mklibname %{name} -d -s

Summary:	Multiple-precision floating-point computations with correct rounding
Name:		mpfr
Version:	3.1.4
Release:	%mkrel 1
License:	LGPLv3+
Group:	System/Libraries
URL:		http://www.mpfr.org/
Source0:	http://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.xz
BuildRequires:	libgmp-devel

%description
The MPFR library is a C library for multiple-precision
floating-point computations with correct rounding. 

%package -n	%{lib_name}
Summary:	Multiple-precision floating-point computations with correct rounding
Group:		System/Libraries

%description -n	%{lib_name}
The MPFR library is a C library for multiple-precision
floating-point computations with correct rounding. 

%package -n	%{lib_name_devel}
Summary:	Development headers and libraries for MPFR
Group:		Development/Libraries
Requires(post):	info-install
Requires(preun):	info-install
Requires:	%{lib_name}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %name 1

%description -n	%{lib_name_devel}
The development headers and libraries for the MPFR library.

%package -n	%{lib_name_static_devel}
Summary:	Static libraries for MPFR
Group:		Development/Libraries
Requires:	%{lib_name_devel}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Obsoletes:	%mklibname -d -s %name 1

%description -n	%{lib_name_static_devel}
Static libraries for the MPFR library.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-shared \
	--enable-thread-safe

%make

%install
rm -rf %buildroot
%makeinstall_std

rm -rf installed-docs
mv %{buildroot}%{_docdir}/%{name} installed-docs

rm -f %{buildroot}%{_libdir}/libmpfr.la

%post -n %{lib_name_devel}
%_install_info %{name}.info

%preun -n %{lib_name_devel}
%_remove_install_info %{name}.info

%files -n %{lib_name}
%{_libdir}/libmpfr.so.%{lib_major}*

%files -n %{lib_name_devel}
%doc installed-docs/*
%{_includedir}/mpfr.h
%{_includedir}/mpf2mpfr.h
%{_infodir}/mpfr.info*
%{_libdir}/libmpfr.so

%files -n %{lib_name_static_devel}
%{_libdir}/libmpfr.a


%changelog
* Fri Mar 11 2016 bb <bb> 3.1.4-1pclos2016
- update

* Tue Jan 05 2016 bb <bb> 3.1.3-1pclos2016
- update

* Thu Mar 19 2015 bb <bb> 3.1.2-1pclos2015
- update
